Bio::MAGETAB::Util::Writer::GraphViz(3)

NAME
Bio::MAGETAB::Util::Writer::GraphViz - Visualization of MAGE-TAB objects.

SYNOPSIS
 use Bio::MAGETAB::Util::Writer::GraphViz;
 my $graphviz = Bio::MAGETAB::Util::Writer::GraphViz->new({
    sdrfs => \@sdrfs,
    font  => 'luxisr',
 });

 my $image = $graphviz->draw();

 print $fh $image->as_png();

DESCRIPTION
This is a simple visualization class for MAGE-TAB objects. Given a list of Bio::MAGETAB::SDRF objects and a filehandle, it will return a GraphViz object which can then be written to file in a number of formats.

ATTRIBUTES

sdrfs
    A list of Bio::MAGETAB::SDRFs object to visualize. This is a required attribute. See the SDRF class for more information on this class.

font
    The font used for object labels in the output.

graphviz
    A GraphViz object. If this is not supplied, a default object will be created; this attribute is provided so that you have a means of accessing the underlying graph generation object.

METHODS

draw
    Creates a GraphViz graph in memory ready for output.

SEE ALSO
Bio::MAGETAB::SDRF, GraphViz

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).